<?php

namespace App\Livewire;

use Livewire\Component;
use App\Models\Career;

class CareerDetail extends Component
{
    public $career;

    public function mount($slug)
    {
        $this->career = Career::where('slug',$slug)->firstOrFail();
    }

    public function render()
    {
        return view('livewire.career-detail')
         ->layout('components.layout');
    }
}